#include <Wire.h>
#include <Adafruit_MLX90614.h>
Adafruit_MLX90614 mlx = Adafruit_MLX90614();

int stepPin1 = 5;// Step-Pin für Stepper 1
int richtungPin1 = 4;// Richtungs-Pin für Stepper 1
int stepPin2 = 12;// Step-Pin für Stepper 2
int richtungPin2 = richtungPin2;// Richtungs-Pin für Stepper 2
int LEDr =10; //Pin für gelbe LED (rechts)
int LEDl =6; //Pin für gelbe LED (links)

char Incoming_value; //eingehender Wert beim Bluetoothmodul
void setup() {

  


  Serial.begin (9600); //Serielle kommunikation starten, damit man sich evtl. später die Werte am serial monitor ansehen kann.

   //Rad links
  pinMode(stepPin1, OUTPUT); 
  pinMode(richtungPin1, OUTPUT); 
  //Rad rechts
  pinMode(stepPin2, OUTPUT); 
  pinMode(richtungPin2, OUTPUT); 

  pinMode(LEDr, OUTPUT); 
  pinMode(LEDl, OUTPUT); 

}


void loop() {
  {
 Incoming_value = Serial.read();
      while(Incoming_value== 'v'){
        for(int i =0;i<10;i++){nachVorne();} //pro gelesenen Wert bewegt sich der Roboter 10 Schritte (v=nachVorne,h=nachHinten etc.)
       Incoming_value = Serial.read();}
       
        while(Incoming_value== 'h'){
        for(int i =0;i<10;i++){nachHinten();}
         Incoming_value = Serial.read();}
        
        while(Incoming_value== 'r'){
       for(int i =0;i<10;i++){nachRechts();}
         Incoming_value = Serial.read();
        }
        
        while(Incoming_value== 'l'){
        for(int i =0;i<10;i++){nachLinks();}
         Incoming_value = Serial.read();}
     
    }

  } 
  




void nachVorne() {  //die Richtung-Pins werden aktiviert, damit die Motoren nach Vorne fahren, die Step-Pins, damit die Motoren drehen.
  digitalWrite(richtungPin1, HIGH); //Das Gleiche Prinzip findet man in den Methoden für die anderen Richtungen wieder.
  digitalWrite(richtungPin2, HIGH);


  digitalWrite(LEDr, HIGH);
  digitalWrite(LEDl, HIGH);

  digitalWrite(stepPin1, HIGH);
  digitalWrite(stepPin2, HIGH);
  delay(10);
  digitalWrite(stepPin1, LOW);
  digitalWrite(stepPin2, LOW);

}

void nachRechts() {
  digitalWrite(richtungPin1, HIGH);
  digitalWrite(richtungPin2, LOW);

  digitalWrite(LEDl, HIGH);
  digitalWrite(LEDr, LOW);

  digitalWrite(stepPin1, HIGH);
  digitalWrite(stepPin2, HIGH);
  delay(10);
  digitalWrite(stepPin1, LOW);
  digitalWrite(stepPin2, LOW);


}
void nachLinks() {
  digitalWrite(richtungPin1, LOW);
  digitalWrite(richtungPin2, HIGH);

  digitalWrite(LEDl, LOW);
  digitalWrite(LEDr, HIGH);

  digitalWrite(stepPin1, HIGH);
  digitalWrite(stepPin2, HIGH);
  delay(10);
  digitalWrite(stepPin1, LOW);
  digitalWrite(stepPin2, LOW);

}

void nachHinten() {
  digitalWrite(stepPin1, HIGH);
  digitalWrite(richtungPin1, LOW);
  digitalWrite(stepPin2, HIGH);
  digitalWrite(richtungPin2, LOW);
}
