

#define NOTE_G1  49
#define NOTE_C2  65
#define NOTE_C3  131
#define NOTE_G3  196
#define NOTE_C4  262
#define NOTE_DS4 311
#define NOTE_E4  330  // Definieren der einzelnen Noten mit den dazugehörigen Frequenzen, die für die Melodie benötigt werden


int melodie[] = {
    NOTE_C3, NOTE_G3, NOTE_C4, 0, NOTE_C4, NOTE_E4, NOTE_DS4, NOTE_C2, NOTE_G1, NOTE_C2, NOTE_G1, NOTE_C2, NOTE_G1, NOTE_C2, NOTE_G1,  
};  // Notenabfolge



int notenwerte[] = {
  1, 1, 1, 8, 4, 4, 3/2, 4, 4, 4, 4, 4, 4, 4, 5/2,
  
}; // Notenwerte (1 = ganze Note, 4 = Viertelnote, 8 = Achtelnote, 3/2 und 5/2 Zwischenwerte)

void setup() {

 pinMode(9,OUTPUT);
 
  for (int thisNote = 0; thisNote < 15; thisNote++) {

    
    int notenwert = 1000 / notenwerte[thisNote];  // Berechnung der Notendauer
    tone(9, melodie[thisNote], notenwert);
  

    
    int pause = notenwert * 1.30;  // Pause zwischen den einzelnen Noten
    delay(pause);
    
    noTone(9);
  
  }
}

void loop() {
  //Melodie soll nur einmal abgespielt werden, daher nicht in loop
}
